about summary refs log tree commit diff
path: root/test/ppmpat.test
diff options
context:
space:
mode:
authorgiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-06-28 23:07:55 +0000
committergiraffedata <giraffedata@9d0c8265-081b-0410-96cb-a4ca84ce46f8>2019-06-28 23:07:55 +0000
commit11fd0bc3fdbe7b5eb9266a728a81d0bcac91fe32 (patch)
tree7c40f096dd973943ef563ec87b2a68d8205db4fb /test/ppmpat.test
parent89c6ec14eb7514630aea5abc4b90b51d1473d33a (diff)
downloadnetpbm-mirror-11fd0bc3fdbe7b5eb9266a728a81d0bcac91fe32.tar.gz
netpbm-mirror-11fd0bc3fdbe7b5eb9266a728a81d0bcac91fe32.tar.xz
netpbm-mirror-11fd0bc3fdbe7b5eb9266a728a81d0bcac91fe32.zip
Promote Stable to Super_stable
git-svn-id: http://svn.code.sf.net/p/netpbm/code/super_stable@3640 9d0c8265-081b-0410-96cb-a4ca84ce46f8
Diffstat (limited to 'test/ppmpat.test')
-rwxr-xr-xtest/ppmpat.test35
1 files changed, 35 insertions, 0 deletions
diff --git a/test/ppmpat.test b/test/ppmpat.test
new file mode 100755
index 00000000..89f86f67
--- /dev/null
+++ b/test/ppmpat.test
@@ -0,0 +1,35 @@
+#! /bin/bash
+# This script tests: ppmpat
+# Also requires:
+
+# TODO: Write tests for squig and poles.  It appears that they are
+# sensitive to differences in floating point math.
+
+testrandom -q
+case $? in
+   81)
+       # Test 1. Should print: 4008533639 781
+       ppmpat --randomseed=0 -g2 16 16 | cksum
+
+       # Test 2. Should print: 2448908863 9613
+       ppmpat --randomseed=0 -g2 64 50 | cksum
+
+       # Test 3. Should print: 2698433077 1549
+       ppmpat --randomseed=0 -madras 32 16 | cksum
+
+       # Test 4. Should print: 3705929501 781
+       ppmpat --randomseed=0 -tartan 16 16 | cksum
+
+       # Test 5. Should print: 2219119109 36015
+       ppmpat --randomseed=0 -camo 100 120 | cksum
+
+       # Test 6. Should print: 3436846137 16813
+       ppmpat --randomseed=0 -anticamo 80 70 | cksum
+       ;;
+
+   8[02-9] | 90)
+       echo "Skipping: random number generator is not glibc." 1>&2
+       exit 80;;
+
+   *)  exit 1;;  # testrandom failed
+esac